# $Revision: 1.123 $, $Date: 2010/09/21 06:10:00 $
# 
# Conditional build:
%bcond_with	progress	# with progressbar patch
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Extremely powerful file compression utility
Summary(es.UTF-8):	Un compresor de archivos con un nuevo algoritmo
Summary(fr.UTF-8):	Utilitaire de compression de fichier extrêmement puissant
Summary(pl.UTF-8):	Kompresor plików bzip2
Summary(pt_BR.UTF-8):	Compactador de arquivo extremamente poderoso
Summary(uk.UTF-8):	Компресор файлів на базі алгоритму блочного сортування
Summary(ru.UTF-8):	Компрессор файлов на основе алгоритма блочной сортировки
Name:		bzip2
Version:	1.0.6
Release:	1
Epoch:		0
License:	BSD-like
Group:		Applications/Archiving
Source0:	http://www.bzip.org/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	00b516f4704d4a7cb50a1d97e6e8e15b
Source1:	http://qboosh.pl/man/%{name}-man-pages.tar.bz2
# Source1-md5:	14a68bf85666428000aad7cb0785a6e5
Patch0:		%{name}-libtoolizeautoconf.patch
Patch1:		%{name}-bzgrep.patch
# Modified from http://www.vanheusden.com/Linux/bzip2-1.0.2.diff.gz
Patch2:		%{name}-progress-counter-1.0.2.patch
URL:		http://www.bzip.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.6
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional
LZ77/LZ78-based compressors, and approaches the performance of the PPM
family of statistical compressors. The command-line options are
deliberately very similar to those of GNU Gzip, but they are not
identical.

%description -l es.UTF-8
Bzip2 es un programa de compresión/descompresión. Típicamente el
archivo compactado queda entre 20 la 30 por ciento menor de que se
fuera compactado con gzip. Observa que bzip2 no entiende los archivos
del bzip original, ni los archivos del gzip.

%description -l fr.UTF-8
Bzip2 compresse des fichiers en utilisant l'algorithme de compression
en tri de blocks de texte Burrows-Wheeler, et le codage Huffman. La
compression est considérablement meilleure que celle effectuée par les
plus conventionels compresseurs basés sur LZ77/LZ78, et approche la
performance de la famille PPM de compresseurs statistiques.

%description -l pl.UTF-8
Kompresor bzip2 używa algorytmu Burrows-Wheelera do kompresji danych i
metody Huffmana do ich kodowania. Kompresja pliku czy archiwum tar
jest z reguły lepsza niż w przypadku stosowania klasycznych
kompresorów LZ77/LZ78. Opcje linii poleceń są bardzo podobne do
poleceń GNU Gzip ale nie są identyczne.

%description -l pt_BR.UTF-8
Bzip2 é um programa de compressão/descompressão. Tipicamente o arquivo
compactado fica 20 a 30 por cento menor do que se fosse compactado com
o gzip.

Note que o bzip2 não entende os arquivos do bzip original, nem os
arquivos do gzip.

%description -l ru.UTF-8
bzip2 компрессирует файлы используя компрессирующий текстовый алгоритм
блочной сортировки Burrows-Wheeler и кодирование Huffman'а.
Достигаемая компрессия обычно существенно лучше достигаемой более
привычными компрессорами на основе LZ77/LZ78 и приближается к той,
которую обеспечивает семейство статистических компрессоров PPM.

%description -l uk.UTF-8
bzip2 компресує файли використовуючи текстовий алгоритм блочного
сортування Burrows-Wheeler та кодування Huffman'а. Компресія, яка
досягається bzip2, як правило краща за ту, що забезпечують
розповсюджені компресори на базі LZ77/LZ78 і наближається до тої, що
її забезпечує сімейство статистичних компресорів PPM.

%package libs
Summary:	libbz2 library
Summary(fr.UTF-8):	Librairie libbz2
Summary(pl.UTF-8):	Biblioteka libbz2
Group:		Libraries
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libbz2.so.1.0()(64bit)
%else
Provides:	libbz2.so.1.0
%endif
Obsoletes:	libbzip2
Conflicts:	bzip2 < 0:1.0.2-12

%description libs
libbz2 library.

%description libs -l fr.UTF-8
Librairie libbz2.

%description libs -l pl.UTF-8
Biblioteka libbz2.

%package devel
Summary:	libbz2 library header files
Summary(fr.UTF-8):	Fichiers d'en-tête pour bzip2
Summary(pl.UTF-8):	Pliki nagłówkowe do libbz2
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o bzip2
Summary(uk.UTF-8):	Хедери, необхідні для програмування з libbz2
Summary(ru.UTF-8):	Хедеры, необходимые для программирования с libbz2
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	libbzip2-devel

%description devel
Libbz2 library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe do libbz2.

%description devel -l pt_BR.UTF-8
Este pacote inclui arquivos de inclusão necessário para o
desenvolvimento de programas que usam o bzip2.

%description devel -l ru.UTF-8
Этот пакет содержит библиотеку и хедеры, необходимые для разработки
программ, включающих подпрограммы компрессии/декомпрессии bz2.

%description devel -l uk.UTF-8
Цей пакет містить бібліотеку та хедери, необхідні для розробки
програм, які включають підпрограми компресії/декомпресії bz2.

%package static
Summary:	Static libbz2 library
Summary(fr.UTF-8):	Librairie statique libbz2
Summary(pl.UTF-8):	Biblioteka statyczna libbz2
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a bzip2
Summary(ru.UTF-8):	Статические библиотеки bzip2
Summary(uk.UTF-8):	Статичні бібліотеки bzip2
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libbz2 library.

%description static -l fr.UTF-8
Librairie statique d'en-tête pour bzip2.

%description static -l pl.UTF-8
Biblioteka statyczna libbz2.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a bzip2.

%description static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками.

%description static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{?with_progress:%patch2 -p1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64" \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_lib},etc/env.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libbz2.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/libbz2.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libbz2.so

# standard soname was libbz2.so.1.0, libtoolizeautoconf patch broke it,
# but ABI has not changed - provide symlink for binary compatibility
ln -sf libbz2.so.1.0.0 $RPM_BUILD_ROOT/%{_lib}/libbz2.so.1.0

cat << EOF >$RPM_BUILD_ROOT/etc/env.d/BZIP2
#BZIP2="-5"
EOF

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README manual.html
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*
%attr(755,root,root) %{_bindir}/bunzip2
%attr(755,root,root) %{_bindir}/bzcat
%attr(755,root,root) %{_bindir}/bzcmp
%attr(755,root,root) %{_bindir}/bzdiff
%attr(755,root,root) %{_bindir}/bzegrep
%attr(755,root,root) %{_bindir}/bzfgrep
%attr(755,root,root) %{_bindir}/bzgrep
%attr(755,root,root) %{_bindir}/bzip2
%attr(755,root,root) %{_bindir}/bzip2recover
%attr(755,root,root) %{_bindir}/bzless
%attr(755,root,root) %{_bindir}/bzmore
%{_mandir}/man1/bunzip2.1*
%{_mandir}/man1/bzcat.1*
%{_mandir}/man1/bzcmp.1*
%{_mandir}/man1/bzdiff.1*
%{_mandir}/man1/bzegrep.1*
%{_mandir}/man1/bzfgrep.1*
%{_mandir}/man1/bzgrep.1*
%{_mandir}/man1/bzless.1*
%{_mandir}/man1/bzmore.1*
%{_mandir}/man1/bzip2.1*
%{_mandir}/man1/bzip2recover.1*
%lang(cs) %{_mandir}/cs/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(tr) %{_mandir}/tr/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libbz2.so.*.*.*
%attr(755,root,root) /%{_lib}/libbz2.so.1.0
%attr(755,root,root) %ghost /%{_lib}/libbz2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbz2.so
%{_libdir}/libbz2.la
%{_includedir}/bzlib.h
%{_includedir}/bzlib_private.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbz2.a
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bzip2.spec,v $
Revision 1.123  2010/09/21 06:10:00  dzeus
- up to 1.0.6 (CVE-2010-0405)

Revision 1.122  2008/12/03 10:55:58  blues
- BZIP2 option to env.d

Revision 1.121  2008/05/06 22:12:30  glen
- release 5

Revision 1.120  2008-05-06 22:12:11  glen
- _FILE_OFFSET_BITS restored as it was in r1.116; rel 4

Revision 1.119  2008-04-30 10:29:41  glen
- force 64bit offsets for handling large files on ix86; rel 3

Revision 1.118  2008-03-23 10:43:30  glen
- release 2

Revision 1.117  2008-03-22 17:15:29  qboosh
- libtoolizeautoconf patch rewritten in less invasive way
- added (previously missing) bzcmp, bzdiff, bzegrep, bzfgrep, bzmore utils
- bzless replaced by (better) supplied bzmore
- updated non-en man-pages
- HTML docs generated from outdated bzip2.texi replace by manual.html from sources

Revision 1.116  2008-03-22 14:12:14  megabajt
- CVE reference

Revision 1.115  2008-03-22 13:03:22  witekfl
- up to 1.0.5 [CVE-2008-1372]

Revision 1.114  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.113  2007/08/20 19:31:12  witekfl
- added bcond_without static_libs

Revision 1.112  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.111  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.110  2007/01/12 13:35:35  qboosh
- added bzgrep patch to remove bash-specific syntax from bzgrep

Revision 1.109  2007/01/10 21:05:21  shadzik
- ups, my bad, forgot to rename patches and delete bzgrep.patch which is obsolete
- noticed by Tomasz Trojanowski <tomek at uninet dot com dot pl>, thx

Revision 1.108  2007/01/10 04:48:42  shadzik
- up to 1.0.4 (fixes CAN-2005-0953 and CAN-2005-0758 so patches no longer needed)

Revision 1.107  2006/06/22 07:31:36  qboosh
- release 6 (updated bzgrep patch on AC-branch to drop bash dep)

Revision 1.106  2006/06/13 21:42:51  blues
- release 5 - added tempfile patch (insecure temporary file creation) and
  bzgrep patch (fixes CAN-2005-0758). STBR

Revision 1.105  2006/04/28 19:29:48  sparky
- added without doc bcond

Revision 1.104  2005/11/22 18:12:16  glen
- fix -libs group; rel 4

Revision 1.103  2005/06/21 10:46:50  qboosh
- -static fr desc fix

Revision 1.102  2005/06/21 10:46:14  qboosh
- moved specflags to standard place instead of hiding between descs

Revision 1.101  2005/06/21 09:56:23  qboosh
- added toctou patch from Debian (fixes CAN-2005-0953)
- added changelog note that update to 1.0.3 fixed CAN-2005-1260
- release 3

Revision 1.100  2005/06/21 07:14:40  qboosh
- release 2

Revision 1.99  2005/06/20 22:08:42  qboosh
- updated libtoolizeautoconf not to replace docs with renamed outdated copies
- added LICENSE to doc

Revision 1.98  2005/06/20 21:52:01  qboosh
- simplified lib installation to /%{_lib}
- unified: -libs before -devel

Revision 1.97  2005/06/20 16:29:00  blekot
- up to 1.0.3
[fixes CAN-2005-1260]
- TODO done
- cosmetocs, SOURCE0 changed, patch0 reverted

Revision 1.96  2005/06/20 16:16:08  undefine
- changed url, add todo

Revision 1.95  2005/06/19 23:16:05  baggins
- release 17
- moved main so lib to /lib
- STBR

Revision 1.94  2005/06/18 10:08:06  glen
- bconded progressbar patch, outputs in some conditions uneccessary message when decopressing:
  "progress will only be shown when compressing files."

Revision 1.93  2005/05/14 13:55:54  glen
- added progress counter patch (activated with -p switch)

Revision 1.92  2005/05/11 14:32:23  qboosh
- updated 64-bit archs list

Revision 1.91  2005/03/21 18:16:09  mmazur
- rel 16 for th

Revision 1.90  2005/03/19 16:04:34  mmazur
- rel15 for th

Revision 1.89  2005/01/03 23:44:53  glen
- LFS support
- rel 14
- STBR

Revision 1.88  2004/12/10 18:47:47  ankry
- rel. 13 to autogenerate internal deps properly

Revision 1.87  2004/12/10 18:36:23  ankry
- fixed R:

Revision 1.86  2004/12/10 09:16:13  qboosh
- no macro in Conflicts for old version

Revision 1.85  2004/12/10 09:08:29  pluto
- C: fixed.

Revision 1.84  2004/12/09 11:51:31  ankry
- separated libs subpackage, killed bogus translations, rel 12

Revision 1.83  2004/11/25 13:15:14  glen
- O: bzip2-libs; rel 11; STBR

Revision 1.82  2004/11/11 17:00:40  witekfl
- build html documentation
- rel 10

Revision 1.81  2004/11/07 11:41:12  paladine
- cosmetics

Revision 1.80  2004/10/12 20:42:55  mmazur
- rel 9 for th

Revision 1.79  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.78  2004/07/11 14:36:07  qboosh
- provide libbz2.so.1.0 compatibility symlink; release 8

Revision 1.77  2004/02/26 04:47:29  pluto
- epoch, strict deps.

Revision 1.76  2004/01/16 09:56:25  jajcus
- Release: 7 (to build _and_tag_ for Ac)

Revision 1.75  2003/08/23 20:37:52  mmazur
- for ac: bzip2 rel6; zlib rel7

Revision 1.74  2003/08/06 16:39:31  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.73  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.72  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.71  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.70  2003/05/25 05:46:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.69  2003/04/24 23:04:32  gotar
- no more optimizations

Revision 1.68  2003/04/24 12:33:39  gotar
- -fomit-frame-pointer

Revision 1.67  2002/12/23 14:36:11  qboosh
- updated URLs

Revision 1.66  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.65  2002/09/19 08:33:45  wiget
- added *.la to -devel
- release 5
NOTE: libbz2.a must be rebuild with glibc 2.2.9x (unresolved symbol at link time)

Revision 1.64  2002/09/06 19:37:26  kloczek
- release 4: use new %doc.

Revision 1.63  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.62  2002/06/15 11:41:43  ankry
- removed %%lang(en)
- release 3

Revision 1.61  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.60  2002/04/25 15:56:21  arturs
fixed a small typo

Revision 1.59  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.58  2002/03/10 09:43:15  kloczek
- added libbzip2-devel to Obsoletes for devel subpackage,
- merge translations from KSI and Conectiva.

Revision 1.57  2002/03/10 09:32:58  marcus
- addedd Obsoletes: libbzip2 for upgrading from mdk
- rel.2.

Revision 1.56  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/02/01 03:38:43  kloczek
- updated to 1.0.2 (some security fixes if bzip2 is used in trusted environment
  like ftpd environment and minor updates).

Revision 1.53  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.52  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.51  2001/10/17 22:23:18  ankry
- gzipped "jumbo" patch

Revision 1.50  2001/10/17 18:43:20  qboosh
- bzip2 license is BSD-like, not GPL! (only first bzip was GPL)

Revision 1.49  2001/10/16 23:39:06  ankry
- added man-pages for: es, fr, hu, ja, ko.
- revision 7

Revision 1.48  2001/09/08 21:20:19  kloczek
- release 6,
- fixed libtoolizeautoconf patch (removed from this patch acinclude.m4 file)
  now regenerion ac resources work correctly using autoconf 2.5x.

Revision 1.47  2001/06/25 11:24:33  undefine
- conditional build without html documentation (don't request tetex)

Revision 1.46  2000/10/01 01:14:08  kloczek
- release 5; adapterized and use rpm new automation suit.

Revision 1.45  2000/07/15 14:02:57  mkochano
- Substitution of %%{_bindir} in bzless script added to install section.
- Release 4.

Revision 1.44  2000/07/11 13:37:41  baggins
- release 3
- fixed broken %%doc in %%files

Revision 1.43  2000/07/03 20:07:36  kloczek
- new libtoolizeautoconf (added bzgrep script).

Revision 1.42  2000/06/24 21:15:13  kloczek
- updated to 1.0.1,
- rewrited %build and %install using new autoconf/automake/libtool suit from
  libtoolizeautoconf patch,
- added pl man pages.

Revision 1.41  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.40  2000/05/23 19:16:56  kloczek
- release 2,
- fixed lib*.so symlink in devel.

Revision 1.39  2000/05/18 18:37:59  kloczek
- another cosmetics.

Revision 1.38  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.37  2000/05/18 13:38:25  wiget
1.0.0\n more documentation

Revision 1.36  2000/05/09 01:58:42  kloczek
- bump to release 4 (to allow upgrade from RH 6.2),
- adapterized.

Revision 1.35  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.34  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.33  1999/12/20 21:01:16  kloczek
- release 2,
- fixed libbz2.so symlink,
- adapterized.

Revision 1.32  1999/12/02 12:55:47  kloczek
- updated to 0.9.5d.

Revision 1.31  1999/11/30 14:02:43  baggins
- updated to 0.9.5b

Revision 1.30  1999/10/29 17:22:31  kloczek
- fr translation from freshmeat packages.

Revision 1.29  1999/07/22 11:57:30  kloczek
- release 5.

Revision 1.28  1999/07/12 23:05:54  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Mar 14 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.0c-2]
- added build a shared libbz2.so,
- added devel and static subpackage,
- gzipping man pages instead bzipping2,
- removed man group from man pages.

* Fri Jan 15 1999 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.9.0c-1d]
- added Group(pl),
- added static bzip2 library,
- added symlink bzcat,
- fixed man pages,
- compressed man pages with bzip2 (bzip2 must by instaled in system ;)

* Mon Oct 05 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.9.0-1d]
- updated to 0.9.0b.

* Thu Sep 24 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.1pl2-2d]
- translation modified for pl,
- install -d instead mkdir -p,
- added %defattr support,
- fixed files permissions,
- minor modifications of the spec file.

* Mon Jul 20 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.1pl2-2]
- build against glibc-2.1.
